Bug 164577 - Piranha does not detect link-down events which would prevent proper operation
Piranha does not detect link-down events which would prevent proper operation
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: piranha (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-28 16:34 EDT by Lon Hohberger
Modified: 2009-04-16 16:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2005-746
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-07 12:47:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Implementation for 0.8.0 (RHCS4) (12.80 KB, patch)
2005-07-28 16:35 EDT, Lon Hohberger
no flags Details | Diff

  None (edit)
Description Lon Hohberger 2005-07-28 16:34:46 EDT
+++ This bug was initially created as a clone of Bug #164576 +++

Description of problem:

When piranha is used with a public + private NIC, any loss of a network path on
the master director constitutes a service outage.

For example, a normal NAT piranha cluster.  The left side are NICs on the public
network, and the right side is the private network.  The primary node is active:

                        +--> rs0
   <---> primary <----> |
          |   |         +--> rs1
   <---> backup  <----> |
                        +--> rs2

If we disconnect the public NIC on the primary node, heartbeats are still being
received over the public network, and thus, no failover occurs.  This causes an
outage.

                        +--> rs0
   X---X primary <----> |
          X   |         +--> rs1
   <---> backup  <----> |
                        +--> rs2

The same thing happens if we disconnect the private NIC: heartbeats are still
being sent over the public interface, so no failover occurs.  

                        +--> rs0
   <---> primary X----X |
          |   X         +--> rs1
   <---> backup  <----> |
                        +--> rs2

This reduces the availability of the piranha director cluster.


Version-Release number of selected component (if applicable): 0.7.10, 0.8.0


How reproducible: 100%


Steps to Reproduce:
1. Create a piranha cluster with a backup.  Configure the IPs for the public
NICs and private NICs.
2. Start piranha on both nodes.
3. Unplug either the public or private NIC on the master server.
  
Actual results:
No failover.  Any virtual services will malfunction.

Expected results:
Failover.  Virtual services should be made available.


Additional info:
Comment 1 Lon Hohberger 2005-07-28 16:35:55 EDT
Created attachment 117243 [details]
Implementation for 0.8.0 (RHCS4)
Comment 4 Red Hat Bugzilla 2005-10-07 12:47:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-746.html

Note You need to log in before you can comment on or make changes to this bug.